local Trading_Overhaul = ...


Trading_Overhaul:log("RasVillage of Davenport...")

Trading_Overhaul:override({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_DAVENPORT",
    VillageName = "Davenport",
    UnlockCost = {
        { Resource = "FISH", Quantity = 20 }
		{ Resource = "BREAD", Quantity = 20 },		
    },
	ResourceTradingReplenishDelay = 1.0,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "FISH", Quantity = 200 },
			ReplenishingAmount = 100,
            UnitPrice = { Resource = "GOLD", Quantity = 8 }
        },
        {
            ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 80 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "HONEY", Quantity = 50 },
			ReplenishingAmount = 30,
            UnitPrice = { Resource = "GOLD", Quantity = 30 }
        },
        {
            ResourceMaxAmount = { Resource = "BARREL", Quantity = 50 },
			ReplenishingAmount = 30,
            UnitPrice = { Resource = "GOLD", Quantity = 40 }
        },
		{
            ResourceMaxAmount = { Resource = "HOP", Quantity = 100 },
			ReplenishingAmount = 75,
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        }
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "GRAPES", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 6 },
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 50 },
			ReplenishingAmount = 30,
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		},
		{
			ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 200 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD", Quantity = 8 }
		},
		{
			ResourceMaxAmount = { Resource = "SWORD", Quantity = 50 },
			ReplenishingAmount = 25,
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		},
		{
			ResourceMaxAmount = { Resource = "BREAD", Quantity = 200 },
			ReplenishingAmount = 100,
			UnitPrice = { Resource = "GOLD", Quantity = 10 }
		}
    },
    Allegeance = "KINGDOM"
})
