local Trading_Overhaul = ...

Trading_Overhaul:log("RasVillage of Northbury...")

Trading_Overhaul:override({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_NORTHBURY",
    VillageName = "Northbury",
    UnlockCost = {
        { Resource = "BERRIES", Quantity = 20 },
		{ Resource = "PLANK", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 1.0,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 5 }
        },
        {
            ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
        {
            ResourceMaxAmount = { Resource = "PLANK", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 7 }
        },
        {
            ResourceMaxAmount = { Resource = "WINE", Quantity = 20 },
			ReplenishingAmount = 15,
            UnitPrice = { Resource = "GOLD", Quantity = 200 }
        },
		{
            ResourceMaxAmount = { Resource = "FLOUR", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 6 }
        }
    },
    SellingResourceList={
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 50 },
			ReplenishingAmount = 30,
			UnitPrice = { Resource = "GOLD", Quantity = 30 }
		},
		{
			ResourceMaxAmount = { Resource = "GLASS", Quantity = 50 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 30 }
		},
		{
			ResourceMaxAmount = { Resource = "TOOL", Quantity = 100 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 15 }
		},
		{
			ResourceMaxAmount = { Resource = "BARREL", Quantity = 100 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 45 }
		},
		{
			ResourceMaxAmount = { Resource = "FISH", Quantity = 100 },
			ReplenishingAmount = 80,
			UnitPrice = { Resource = "GOLD", Quantity = 5 }
		}
    },
    Allegeance = "LABOUR"
})
