local Trading_Overhaul = ...

Trading_Overhaul:log("RasVillage of EBlue...")

Trading_Overhaul:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_EASTBLUE",
    VillageName = "EastBlue",
    UnlockCost = {
        { Resource = "BOAR", Quantity = 5 },
		{ Resource = "HERBS", Quantity = 25 }
    },
	ResourceTradingReplenishDelay = 1.0,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "WHEAT", Quantity = 200 },
			ReplenishingAmount = 100,
            UnitPrice = { Resource = "GOLD", Quantity = 5 }
        },
        {
            ResourceMaxAmount = { Resource = "MILK", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 8 }
        },
        {
            ResourceMaxAmount = { Resource = "WOOD", Quantity = 200 },
			ReplenishingAmount = 150,
            UnitPrice = { Resource = "GOLD", Quantity = 3 }
        },
        {
            ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
		{
            ResourceMaxAmount = { Resource = "HERBS", Quantity = 50 },
			ReplenishingAmount = 30,
            UnitPrice = { Resource = "GOLD", Quantity = 45 }
        }
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "CHEESE", Quantity = 100 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 25 },
		},
        {
			ResourceMaxAmount = { Resource = "HOP", Quantity = 100 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 8 },
		},
		{
			ResourceMaxAmount = { Resource = "STONE", Quantity = 200 },
			ReplenishingAmount = 150,
			UnitPrice = { Resource = "GOLD", Quantity = 4 }
		},
		{
			ResourceMaxAmount = { Resource = "IRON_ORE", Quantity = 200 },
			ReplenishingAmount = 150,
			UnitPrice = { Resource = "GOLD", Quantity = 5 }
		},
		{
			ResourceMaxAmount = { Resource = "BEER", Quantity = 100 },
			ReplenishingAmount = 40,
			UnitPrice = { Resource = "GOLD", Quantity = 18 }
		}
    },
    Allegeance = "KINGDOM"
})
