local Trading_Overhaul = ...

Trading_Overhaul:log("RasVillage of Myddle...")

Trading_Overhaul:override({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_MYDDLE",
    VillageName = "Myddle",
    UnlockCost = {
        { Resource = "POLISHED_STONE", Quantity = 20 }
		{ Resource = "CLOTHES", Quantity = 20 },
    },
	ResourceTradingReplenishDelay = 1.0,
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "BREAD", Quantity = 100 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 15 }
        },
        {
            ResourceMaxAmount = { Resource = "TOOL", Quantity = 80 },
			ReplenishingAmount = 50,
            UnitPrice = { Resource = "GOLD", Quantity = 20 }
        },
        {
            ResourceMaxAmount = { Resource = "SWORD", Quantity = 30 },
			ReplenishingAmount = 25,
            UnitPrice = { Resource = "GOLD", Quantity = 50 }
        },
        {
            ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 30 },
			ReplenishingAmount = 10,
            UnitPrice = { Resource = "GOLD", Quantity = 100 }
        },
		{
            ResourceMaxAmount = { Resource = "GLASS", Quantity = 50 },
			ReplenishingAmount = 35,
            UnitPrice = { Resource = "GOLD", Quantity = 40 }
        }
		
    },
    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "COAL", Quantity = 100 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 2 },
		},
		{
			ResourceMaxAmount = { Resource = "IRON", Quantity = 100 },
			ReplenishingAmount = 50,
			UnitPrice = { Resource = "GOLD", Quantity = 10 }
		},
		{
			ResourceMaxAmount = { Resource = "MILK", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 6 }
		},
		{
			ResourceMaxAmount = { Resource = "WINE", Quantity = 50 },
			ReplenishingAmount = 25,
			UnitPrice = { Resource = "GOLD", Quantity = 180 }
		},
		{
			ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 },
			ReplenishingAmount = 75,
			UnitPrice = { Resource = "GOLD", Quantity = 5 }
		}
    },
    Allegeance = "CLERGY"
})
